Unit tzp36e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP36E_p;

function tzp36e: String;

implementation

function tzp36e: String;
var
NP,M,_i :Integer;
B :Array [0..3] of Extended;
C :Array [0..3] of Extended;
const
A :Array [0..4] of Extended = ( 24.0e0,-50.0e0,35.0e0,-10.0e0,1.0e0 );
begin
Result := '';  {   }
NP := 4;
M := 4;
ZP36E(NP,A,M,B,C);
Result := Result + Format('%10d ',[NP]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%10d ',[M]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[C[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp36e',Result);  {     tzp36e.res }
exit;
end;

end.
